//
//  OBWidgetViewModel.swift
//  SwiftUI-Bridge
//
//  Created by Oded Regev on 02/08/2022.
//  Copyright © 2022 Outbrain inc. All rights reserved.
//

import Foundation
import SwiftUI
import OutbrainSDK

final class OBWidgetViewModel: ObservableObject {
    
    var widgetView: OutbrainWidgetView? = nil
    
    
    init(
        url: String,
        widgetId: String,
        widgetIndex: Int,
        installationKey: String,
        userId: String? = nil,
        darkMode: Bool = false,
        extId: String? = nil,
        extSecondaryId: String? = nil,
        OBPubImp: String? = nil,
        onOrganicRecClick: ((URL) -> Void)? = nil,
        onWidgetEvent: ((String, [String: Any]) -> Void)? = nil
    ) {
        widgetView = OutbrainWidgetView(
            url: url,
            widgetId: widgetId,
            widgetIndex: widgetIndex,
            installationKey: installationKey,
            userId: userId,
            darkMode: darkMode,
            extId: extId,
            extSecondaryId: extSecondaryId,
            OBPubImp: OBPubImp,
            onOrganicRecClick: onOrganicRecClick,
            onWidgetEvent: onWidgetEvent
        )
    }
}
